classification
Title: Py3k warn on unicode escapes in raw strings
Type: behavior Stage:
Components: Unicode Versions: Python 2.6
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: lemburg Nosy List: amaury.forgeotdarc, benjamin.peterson, georg.brandl, lemburg
Priority: normal Keywords: patch

Created on 2008-04-28 21:42 by benjamin.peterson, last changed 2009-06-03 21:26 by amaury.forgeotdarc. This issue is now closed.

Files
File name Uploaded Description Edit
unicode_escape_warn.patch benjamin.peterson, 2008-04-28 21:42
unicode_escape_warn2.patch benjamin.peterson, 2008-04-28 22:56 better formating
Messages (4)
msg65936 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-04-28 21:42
This patch gives a Py3k warning when a unicode escape occurs in a raw
unicode string.
msg65958 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-04-29 06:31
This patch changes the raw-unicode-escape code to warn. Marc-Andre, is
this OK?
msg85743 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-04-07 20:14
I guess it isn't...
msg88829 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2009-06-03 21:26
Why was this patch rejected?
with python2.6,
     len(ur'\u1234') == 1
with python3.0,
     len( r'\u1234') == 6

This is worth a warning IMO.
See also issue2570.
History
Date User Action Args
2009-06-03 21:26:11amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg88829
2009-04-07 20:14:39georg.brandlsetstatus: open -> closed
resolution: rejected
messages: + msg85743
2008-04-29 06:31:16georg.brandlsetassignee: lemburg
messages: + msg65958
nosy: + georg.brandl, lemburg
2008-04-28 22:56:16benjamin.petersonsetfiles: + unicode_escape_warn2.patch
2008-04-28 21:42:54benjamin.petersoncreate